ASIN(3)

NAME
asin, asinf, asinl - arc sine function

SYNOPSIS
#include <math.h>

double asin(double x);
float asinf(float x);
long double asinl(long double x);

Link with -lm.

DESCRIPTION
The asin() function calculates the arc sine of x; that is the value whose sine is x. If x falls outside the range -1 to 1, asin() fails and errno is set.

RETURN VALUE
The asin() function returns the arc sine in radians and the value is mathematically defined to be between -PI/2 and PI/2 (inclusive).

ERRORS

EDOM
    x is out of range.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89, C99. The float and long double variants are C99 requirements.

SEE ALSO
acos(3), casin(3), atan(3), atan2(3), cos(3), sin(3), tan(3)